Bug 118567 - Signature Line: Signing ooxml produces invalid signature
Summary: Signature Line: Signing ooxml produces invalid signature
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords:
Depends on:
Blocks: Digital-Signature-Lines
  Show dependency treegraph
 
Reported: 2018-07-06 06:24 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-09-19 23:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-07-06 06:24:11 UTC
Sign a signature line in a docx.
Signature is shown as invalid.
Comment 1 Samuel Mehrbrodt (CIB) 2018-07-06 13:18:54 UTC
Code pointer: DocumentDigitalSignatures::signSignatureLine
Comment 2 Xisco Faulí 2018-07-11 12:13:22 UTC
Moving to NEW
Comment 3 Commit Notification 2018-09-19 05:55:52 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3de0478fbcbe1dc22ab5dea42b423bb8e45fcba

tdf#118567 Signature Line: Fix ooxml signing

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-09-19 23:54:32 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59cdc0023f2429be6fe25f4570e07fd81a8f5d00&h=libreoffice-6-1

tdf#118567 Signature Line: Fix ooxml signing

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.